;************************************************
; NCL Graphics: 
;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl" 
load "$NCARG_LIB/ncarg/nclscripts/csm/contributed.ncl"

;************************************************
begin

;************************************************
; set parameter
; Drawing superscripts/subscripts in a text 
; ~S~TEXT~N~   ~B~TEXT~N~
; cases Nvar-1 , each txt file include model results and OBS
;************************************************

  Nbin_V=50
  Nbin_NI=32
  Nvar=5
  cases=(/"Default","Preice","NoPice","Nofhom"/)
  labels= (/"Default","Preice","NoPreice","Nofhom","OBS"  /)

;************************************************
; read in variables
;************************************************
  bin_V = new(    Nbin_V+1  , float)
  do i=0,Nbin_V
     bin_V(i)=i*0.06
  end do
  ;print(bin)
  Y_V = new((/Nvar,Nbin_V*2/), float)
  X_V = new(       Nbin_V*2  , float)
  X_V(0)        = bin_V(0)
  X_V(Nbin_V*2-1) = bin_V(Nbin_V)
  do i=1,Nbin_V-1
     X_V(i*2)  =bin_V(i)
     X_V(i*2-1)=bin_V(i)
  end do
  do j=0,Nvar-2
     fre_V=asciiread(cases(j)+"_Vpdf.txt",(/Nbin_V+1,2/),"float")
     do i=0,Nbin_V-1
        Y_V(j,i*2  )=fre_V(i,0)
        Y_V(j,i*2+1)=fre_V(i,0)
     end do
     total=fre_V(Nbin_V,0)
     print(sprintf("%7.0f",total)+" "+cases(j))
  end do
  j=Nvar-1
  do i=0,3
     Y_V(j,i*2  )=fre_V(i,1)
     Y_V(j,i*2+1)=fre_V(i,1)
  end do
  ;printVarSummary(X_V)
  ;printVarSummary(Y_V)
  sumV=0.
  do i=0,3
     sumV=sumV+fre_V(i,1)
  end do  
  print("Vobs <= 0.24 "+sprintf("%7.2f",sumV))

  bin_NI=(/ 0.100000,0.150000,0.225000,0.337500,0.506250,0.759375,\
         1.13906 ,1.70859 ,2.56289 ,3.84434 ,5.76650 ,8.64976 ,\
         12.9746 ,19.4620 ,29.1929 ,43.7894 ,65.6841 ,98.5261 ,\
         147.789 ,221.684 ,332.526 ,498.789 ,748.183 ,1122.27 ,\
         1683.41 ,2525.12 ,3787.68 ,5681.51 ,8522.27 ,12783.4 ,\
         19175.1 ,28762.7 ,43144.0 /)
  bin_NIsize = dimsizes(bin_NI)
  print("bin_NI size "+sprinti("%7.2i",bin_NIsize))
  ;print(bin_NI)
  Y_NI = new((/Nvar,Nbin_NI*2/), float)
  X_NI = new(    Nbin_NI*2  , float)
  X_NI(0)        = bin_NI(0)
  X_NI(Nbin_NI*2-1) = bin_NI(Nbin_NI)
  do i=1,Nbin_NI-1
     X_NI(i*2)  =bin_NI(i)
     X_NI(i*2-1)=bin_NI(i)
  end do
  do v=0,Nvar-2   
     fre_NI=asciiread(cases(v)+"_ni_pdf.txt",(/Nbin_NI,2/),"float")
     ;print(fre_NI(:,0))
     do i=0,Nbin_NI-1
        Y_NI(v,i*2  )=fre_NI(i,0)
        Y_NI(v,i*2+1)=fre_NI(i,0)
     end do
  end do
  v=Nvar-1
  do i=0,Nbin_NI-1
     Y_NI(v,i*2  )=fre_NI(i,1)
     Y_NI(v,i*2+1)=fre_NI(i,1)
  end do
  ;printVarSummary(X_NI)
  ;printVarSummary(Y_NI)

;************************************************
; set default res
; rea2 for gsn_csm_xy
;************************************************
  wks   = gsn_open_wks ("ps", "PDFofWsubNi" )       ; open workstation
  gsn_define_colormap(wks,"gui_default")          ; choose colormap
  res2                      = True                ; plot mods desired
  res2@gsnDraw              = False          ; do not draw 
  res2@gsnFrame             = False          ; do not advance
  res2@vpXF                  = 0.10     ; x location left
  res2@vpYF                  = 0.70     ; y location  up
  res2@vpWidthF              = 0.65     ; width
  res2@vpHeightF             = 0.35     ; height
  res2@gsnStringFont         = 2.0      ;
  res2@gsnStringFontHeightF  = 0.02
  res2@tiXAxisFontHeightF    = 0.02               ; XAxis String Font
  res2@tiYAxisFontHeightF    = 0.02               ; YAxis String Font
  res2@tmXBLabelFontAspectF  = 1.3
  res2@tmXBLabelFontHeightF  = 0.02       
  res2@tmYLLabelFontAspectF  = 1.3
  res2@tmYLLabelFontHeightF  = 0.02
  res2@tiMainString          = "  "     ; title  
  ;res2@gsnLeftString = "W~B~sub~N~"
  res2@gsnRightString= "36.6N,97.5W"
  ;res2@tiXAxisString = "Vertical Velocity ( m s~S~-1~N~)"
  res2@tiYAxisString = "Relative frequency"
  ;res2@xyXStyle      = "Linear"               ;Log, Linear, Irregular 
  ;res2@xyYStyle      = "Log"                  ;Log, Linear, Irregular
  res2@xyComputeXMin = True
  ;res2@xyComputeYMin = True 
  res2@xyLineColors      = (/"red","green4","Brown","RoyalBlue","black"/)  ; line colors  
  res2@xyLineThicknesses = (/3  ,3  ,3  ,3  ,3  /)        ; line thicknesses
  res2@xyDashPatterns    = (/0  ,0  ,0  ,0  ,1  /)        ; line patterns
  ;res2@trYMinF           = 0.0001             ; Y axis min 
  ;res2@trYMaxF           = 1.0                ; Y axis max
  ;res2@trXMinF           = 0.0                ; X axis min 
  ;res2@trXMaxF           = 2.0                ; X axis max
  res_text                    = True                  ; text mods desired
  res_text@txFontHeightF      = 0.022                 ; change text size
  res_text@txFontThicknessF   = 1.8                   ; thickness of the lines
  res_text@txJust             = "CenterLeft"          ; text justification
  resP                     = True          
  resP@gsnPanelYWhiteSpacePercent = 2  ; draw panel with white space added
  resP@gsnPanelXWhiteSpacePercent = 5  ; draw panel with white space added
  resP@txString            = "PDFofWsubNi"
;************************************************
; create plot
;************************************************   
  
  plot = new(2,graphic)  

  res2@gsnLeftString = "W~B~sub~N~"
  res2@tiXAxisString = "Vertical velocity ( m s~S~-1~N~)"
  res2@xyXStyle      = "Linear"               ;Log, Linear, Irregular
  res2@xyYStyle      = "Log"                  ;Log, Linear, Irregular
  res2@trYMinF       = 0.0001             ; Y axis min 
  res2@trYMaxF       = 1.0                ; Y axis max
  res2@trXMin        = 0.0                ; X axis min 
  res2@trXMaxF       = 1.92               ; X axis max
  plot(0) = gsn_csm_xy (wks,X_V,Y_V,res2)

  res2@gsnLeftString = "AWNI"
  res2@tiXAxisString = "Ice number concentration ( L~S~-1~N~)"
  res2@xyYStyle      = "Linear"               ;Log, Linear, Irregular
  res2@xyXStyle      = "Log"                  ;Log, Linear, Irregular
  res2@xyComputeXMin = False
  res2@trYMinF       = 0.                 ; Y axis min 
  res2@trYMaxF       = 0.16               ; Y axis max
  res2@trXMinF       = 0.1                ; X axis min 
  res2@trXMaxF       = 10e3               ; X axis max
  plot(1) = gsn_csm_xy (wks,X_NI,Y_NI,res2)


  i=4
  yy=0.4
  xx=0.80
  res_text@txFontColor  = res2@xyLineColors(i)
  test_add = gsn_add_text(wks,plot(0),labels(i),xx,yy,res_text)  ; add text
  i=0
  yy=0.4
  xx=1.1
  res_text@txFontColor  = res2@xyLineColors(i)
  test_add = gsn_add_text(wks,plot(0),labels(i),xx,yy,res_text)  ; add text
  i=1
  yy=0.4
  xx=1.55
  res_text@txFontColor  = res2@xyLineColors(i)
  test_add = gsn_add_text(wks,plot(0),labels(i),xx,yy,res_text)  ; add text
  i=2
  yy=0.1
  xx=0.9
  res_text@txFontColor  = res2@xyLineColors(i)
  test_add = gsn_add_text(wks,plot(0),labels(i),xx,yy,res_text)  ; add text
  i=3
  yy=0.1
  xx=1.45
  res_text@txFontColor  = res2@xyLineColors(i)
  test_add = gsn_add_text(wks,plot(0),labels(i),xx,yy,res_text)  ; add text

  gsn_panel(wks,plot,(/2,1/),resP)
  
  print("output .ps file : PDFofWsubNi ")

 
  ;draw(plot)
  ;frame(wks)

end


;************************************************

;"white","black","White","RoyalBlue","LightSkyBlue",
;"PowderBlue","lightseagreen","PaleGreen","Wheat","Brown","Pink"
;"PaleGreen","black","red","green4","RoyalBlue"

;The line style is changed using an integer from 0 to 16.
;The default is line index 0 (solid). 
