;************************************************
; NCL Graphics: 
;************************************************
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl" 
load "$NCARG_LIB/ncarg/nclscripts/csm/contributed.ncl"

;************************************************
begin

;************************************************
; set parameter
;************************************************

  ;case = getenv("case")
  case = "Preice"
  Nbin=300
  Nvar=3
  labels= (/"W~B~sub~N~","W~B~eff~N~" ,"W~B~i,pre~N~"/)

;************************************************
; read in variables
;************************************************
  fre=asciiread(case+"_Wpdf.txt",(/Nbin+1,Nvar/),"float")
  ;print(fre)
  printVarSummary(fre)
  bin = new(    Nbin+1  , float)
  do i=0,Nbin
     bin(i)=i*0.01+0.005
  end do
  ;print(bin)
  Y = new((/Nvar,Nbin*2/), float)
  X = new(       Nbin*2  , float)
  X(0)        = bin(0)
  X(Nbin*2-1) = bin(Nbin)
  do i=1,Nbin-1
     X(i*2)  =bin(i)
     X(i*2-1)=bin(i)
  end do
  do i=0,Nbin-1
     do j=0,Nvar-1
        Y(j,i*2  )=fre(i,j)
        Y(j,i*2+1)=fre(i,j)
     end do
  end do
  total=fre(Nbin,0)
  print(sprintf("%7.0f",total)+case)
  ;printVarSummary(X)
  ;printVarSummary(Y)

;************************************************
; set default res
; rea2 for gsn_csm_xy
;************************************************
  wks   = gsn_open_wks ("ps", case+"_Wpdf" )    ; open workstation
  gsn_define_colormap(wks,"gui_default")          ; choose colormap
  res2                      = True                ; plot mods desired
  res2@gsnDraw              = False          ; do not draw 
  res2@gsnFrame             = False          ; do not advance
  res2@vpXF                  = 0.20     ; x location left
  res2@vpYF                  = 0.70     ; y location  up
  res2@vpWidthF              = 0.60     ; width
  res2@vpHeightF             = 0.30     ; height
  res2@tiMainString          = case     ; title  
  ;res2@gsnLeftString = "PDF of updraft Velocity"
  ;res2@gsnRightString= sprintf("%7.0f",total)
  res2@tiXAxisString = "Vertical velocity (m s~S~-1~N~)" 
  res2@tiYAxisString = "Relative frequency"
  res2@xyXStyle      = "Linear"               ;Log, Linear, Irregular 
  res2@xyYStyle      = "Log"            ;Log, Linear, Irregular
  res2@xyComputeXMin = True
  ;res2@xyComputeYMin = True 
  res2@xyLineColors      = (/"black","RoyalBlue","red"/)  ; line colors  
  res2@xyLineThicknesses = (/2.5,2.5,2.5/)        ; line thicknesses
  res2@xyDashPatterns    = (/0  ,0  ,0  /)        ; line patterns
  res2@trYMinF           = 0.0001             ; Y axis min 
  res2@trYMaxF           = 0.2                ; Y axis max
  res2@trXMinF           = 0.0                ; X axis min 
  res2@trXMaxF           = 1.85               ; X axis max
  res2@gsnStringFontHeightF  = 0.02
  res2@tmXBLabelFontAspectF  = 1.3
  res2@tmXBLabelFontHeightF  = 0.02       
  res2@tmYLLabelFontAspectF  = 1.3
  res2@tmYLLabelFontHeightF  = 0.02
  res2@txFontThicknessF      = 1.5      ; thickness of the lines used to draw the characters
  res2@tiXAxisFontThicknessF = 1.5
  res2@tiYAxisFontThicknessF = 1.5
  res2@tiXAxisFontHeightF    = 0.02
  res2@tiYAxisFontHeightF    = 0.02
  res_text                    = True                  ; text mods desired
  res_text@txFontHeightF      = 0.022                 ; change text size
  res_text@txFontThicknessF   = 1.8                   ; thickness of the lines
  res_text@txJust             = "CenterLeft"          ; text justification

;************************************************
; create plot
;************************************************   
  
  plot = gsn_csm_xy (wks,X,Y,res2)

  xx = 0.70
  yy = 0.09
  do i=0,Nvar-1
     xx = xx + 0.28
     res_text@txFontColor  = res2@xyLineColors(i)
     test_add = gsn_add_text(wks,plot,labels(i),xx,yy,res_text)  ; add text
  end do 
  
  draw(plot)
  frame(wks)

end


;************************************************

;"black","White","RoyalBlue","LightSkyBlue",
;"lightseagreen","PaleGreen","Wheat","Brown","Pink"

;The line style is changed using an integer from 0 to 16.
;The default is line index 0 (solid). 
